Package ru.bitel.bgbilling.modules.yoomoney.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.yoomoney.common.bean.Transaction

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class Transaction
    extends BGAbstractTransaction

Представление части информации о каждой транзакции (в БД), то, что возвращается в наш экзекутер при оплате (и это эе самое приходит при проверке).

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Transaction()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.String` | `getCancelComment​(java.lang.String who, java.lang.String why)` | Если платеж пришел с статусом Cancel, то можно попытаться узнать по какой причине.
  `java.lang.String` | `getCardholderName()` |
  `java.lang.String` | `getContractComment()` |
  `long` | `getInvoiceId()` |
  `CurrencyBank` | `getOrderSumBankPaycash()` |
  `CurrencyCode` | `getOrderSumCurrencyPaycash()` |
  `java.lang.String` | `getPan()` |
  `java.lang.String` | `getPaymentPayerCode()` |
  `java.lang.String` | `getPaymentType()` |
  `java.lang.String` | `getRawRequest()` |
  `java.math.BigDecimal` | `getShopSumAmount()` |
  `CurrencyBank` | `getShopSumBankPaycash()` |
  `CurrencyCode` | `getShopSumCurrencyPaycash()` |
  `java.lang.String` | `getYoomoneyId()` |
  `void` | `setContractComment​(java.lang.String contractComment)` |
  `void` | `setInvoiceId​(long invoiceId)` |
  `void` | `setOrderSumBankPaycash​(CurrencyBank orderSumBankPaycash)` |
  `void` | `setOrderSumCurrencyPaycash​(CurrencyCode orderSumCurrencyPaycash)` |
  `void` | `setPaymentPayerCode​(java.lang.String paymentPayerCode)` |
  `void` | `setPaymentType​(java.lang.String paymentType)` |
  `void` | `setRawRequest​(java.lang.String rawRequest)` |
  `void` | `setShopSumAmount​(java.math.BigDecimal shopSumAmount)` |
  `void` | `setShopSumBankPaycash​(CurrencyBank shopSumBankPaycash)` |
  `void` | `setShopSumCurrencyPaycash​(CurrencyCode shopSumCurrencyPaycash)` |
  `void` | `setYoomoneyId​(java.lang.String yoomoneyId)` |

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getContractId, getContractTitle, getCreateDate, getParameter, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, isAutopayment, setAutopayment, setContractId, setContractTitle, setCreateDate, setPaymentId, setStatus, setSum, setTransactionDate, setTransactionId, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### getInvoiceId

    public long getInvoiceId()

  - ### setInvoiceId

    public void setInvoiceId​(long invoiceId)

  - ### getOrderSumCurrencyPaycash

    public CurrencyCode getOrderSumCurrencyPaycash()

  - ### setOrderSumCurrencyPaycash

    public void setOrderSumCurrencyPaycash​(CurrencyCode orderSumCurrencyPaycash)

  - ### getOrderSumBankPaycash

    public CurrencyBank getOrderSumBankPaycash()

  - ### setOrderSumBankPaycash

    public void setOrderSumBankPaycash​(CurrencyBank orderSumBankPaycash)

  - ### getShopSumAmount

    public java.math.BigDecimal getShopSumAmount()

  - ### setShopSumAmount

    public void setShopSumAmount​(java.math.BigDecimal shopSumAmount)

  - ### getShopSumCurrencyPaycash

    public CurrencyCode getShopSumCurrencyPaycash()

  - ### setShopSumCurrencyPaycash

    public void setShopSumCurrencyPaycash​(CurrencyCode shopSumCurrencyPaycash)

  - ### getShopSumBankPaycash

    public CurrencyBank getShopSumBankPaycash()

  - ### setShopSumBankPaycash

    public void setShopSumBankPaycash​(CurrencyBank shopSumBankPaycash)

  - ### getPaymentPayerCode

    public java.lang.String getPaymentPayerCode()

  - ### setPaymentPayerCode

    public void setPaymentPayerCode​(java.lang.String paymentPayerCode)

  - ### setContractComment

    public void setContractComment​(java.lang.String contractComment)
    Overrides:
      `setContractComment` in class `BGAbstractTransaction`

  - ### getContractComment

    public java.lang.String getContractComment()
    Overrides:
      `getContractComment` in class `BGAbstractTransaction`

  - ### getPaymentType

    public java.lang.String getPaymentType()

  - ### setPaymentType

    public void setPaymentType​(java.lang.String paymentType)

  - ### getRawRequest

    public java.lang.String getRawRequest()

  - ### setRawRequest

    public void setRawRequest​(java.lang.String rawRequest)

  - ### getYoomoneyId

    public java.lang.String getYoomoneyId()

  - ### setYoomoneyId

    public void setYoomoneyId​(java.lang.String yoomoneyId)

  - ### getPan

    public java.lang.String getPan()
    Overrides:
      `getPan` in class `BGAbstractTransaction`

  - ### getCardholderName

    public java.lang.String getCardholderName()
    Overrides:
      `getCardholderName` in class `BGAbstractTransaction`

  - ### getCancelComment

    public static java.lang.String getCancelComment​(java.lang.String who, java.lang.String why)
    Если платеж пришел с статусом Cancel, то можно попытаться узнать по какой причине.
    Parameters:
      `who` - - кто отменил. merchant - Продавец товаров и услуг (мы), yoomoney_checkout - Яндекс.Касса, payment_network - кто угодно. Пока не используется.
      `why` - - причина отказа